Subject: Re: [PATCH] http-push: don't always prompt for password

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Nov 2011 23:45:24 -0700

Stefan Naewe <[email-masked]> writes:

> I just wanted to have that issue fixed, to get my scripted 'multi
> repository pull' working
> again.

For the latter, dropping username@ would also be a valid solution; saying
"want to have that issue fixed" is not helping the discussion very much.

Because the change is fairly straightforward, I am tempted to merge this
soon and see if anybody screams (in which case we would revert it by 1.7.8
final). The only people who may possibly scream are people who care about
latencies additional HTTP roundtrip incurs, which might not be a big deal.
We'll find it out and hopefully soon enough ;-)